var eventTarget;

function longPress(node, fn){
    var timeout = 0;
    var $this = node;
    for(var i = 0;i<$this.length;i++){
        $this[i].addEventListener('touchstart', function(event) {
                                  eventTarget = event.target;
                         if (event.touches.length == 1) {
                                   timeout = setTimeout(fn, 2000);
                                          }
                                  }, false);
        $this[i].addEventListener('touchend', function(event) {
                                  clearTimeout(timeout);
                                  }, false);
        $this[i].addEventListener('touchmove', function(event) {
                                  clearTimeout(timeout);
                                  }, false);
    }
}
function imageAction(){
    var imageTag = eventTarget;
    LightJSBridge.call("native.imageAction", {"image": imageTag.src}, null);
}

longPress(document.getElementsByTagName('img'), imageAction);

longPress(document.getElementsByTagName('canvas'), imageAction);
