
/**
 * @fileOverview 获取属性
 * @author Magic
 * @version 1.0.0
 */
import {getImgData} from '@/api/ctl'
import unit from './unit'
export default {
  data () {
    return {
      ListingStatusEnum: [], //
      ListingTradeStatusEnum: [],
      YesOrNoEnum: [], // 是否
      SettleTypeEnum: [], // 结算方式
      DeliveryTypeEnum: [], // 交收方式
      VarietyTypeEnum: [], // 品种类型
      TradeListingTypeEnum: [] // 挂牌方式
    }
  },
  methods: {
    
    getImgData (value) {
      return new Promise((resolve, reject) => {
        let params = {fileId: value}
        getImgData(params).then(r => {
          if (r.data.success) {
            let imgData = 'data:image/png;base64,' + r.data.imgData
            resolve(imgData)
          } else {
            resolve('')
          }
        }).catch(e => {
          resolve('')
          console.log(e)
        })
      })
    },
  }
}
